package com.hammurapi.reasoning.impl;

import java.util.ArrayList;
import java.util.List;

import com.hammurapi.flow.runtime.Invocable;

class PinEntry<F> {
	
	String name;
	
	List<?> config;
	
	int index;

	public String getName() {
		return name;
	}

	public List<?> getConfig() {
		return config;
	}

	public PinEntry(String name, List<?> config) {
		super();
		this.name = name;
		this.config = config;
	}		
	
	Invocable<KnowledgeBase<F>, InferenceToken<F>> invocable;

	List<Output<F>> outputs = new ArrayList<Output<F>>();
}
